Bug 5836 - [UPDATE REQUEST] drakxtools-14.63-1
: [UPDATE REQUEST] drakxtools-14.63-1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-25 18:38 MSD by Konstantin Vlasov
Modified: 2015-06-29 23:36 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-06-25 18:38:24 MSD
Several fixes for drakxtools.
Comment 1 Konstantin Vlasov 2015-06-25 20:13:12 MSD
https://abf.rosalinux.ru/build_lists/2513959
https://abf.rosalinux.ru/build_lists/2513960

Advisory: Several fixes and improvements
    
1. drakauth fixes for Windows Domain and Kerberos5.
2. Regression fixed: All English languages were shown in installer instead of only US and GB.
3. Added sanity check for EFI mode that /boot/efi is a real partition (not RAID or LVM).
4. diskdrake/installer: Added support for MMC block devices.

drakauth test may be skipped, it requires access to Windows and Kerberos domains to be tested properly.

For MMC test you'll need to use a device where /dev/mmcblk* devices are present. Earlier they were not displayed in installer; now they should be present. If you don't have such device, the test may also be skipped; it's not a very common class of devices.

Test images with this and some other test packages:
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/11844 (64)
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/11847 (32)
Comment 2 FirstLevel 2015-06-26 11:01:35 MSD
Update goes well for 32 and 64 bit systems
Comment 3 Vladimir Potapov 2015-06-26 12:10:08 MSD
The update is sent to expanded testing
**************************************
Comment 4 Konstantin Vlasov 2015-06-26 16:58:48 MSD
Please, cancel this QA request. A forum user found bug in the latest changes.
Comment 5 Vladimir Potapov 2015-06-26 18:27:32 MSD
(In reply to comment #4)
> Please, cancel this QA request. A forum user found bug in the latest changes.

Fix it and add new containers to the query.
Comment 6 Konstantin Vlasov 2015-06-26 18:40:09 MSD
Fixed packages:
https://abf.rosalinux.ru/build_lists/2514137
https://abf.rosalinux.ru/build_lists/2514138

Advisory: Several fixes and improvements
1. drakauth fixes for Windows Domain and Kerberos5.
2. Regression fixed: All English languages were shown in installer instead of only US and GB.
3. Added sanity check for EFI mode that /boot/efi is a real partition (not RAID or LVM).
4. diskdrake/installer: Added support for MMC block devices.
5. Fixed: Flash disk from which we booted was not excluded in checking minimal system requirements.
6. diskdrake/installer could crash under rare circumstances when chipset RAID-0 was present.

Test images with this and some other test packages (building at the moment):
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/11868 (64)
https://abf.rosalinux.ru/platforms/rosa2014.1/products/111/product_build_lists/11869 (32)
Comment 7 Vladimir Potapov 2015-06-26 20:46:56 MSD
The update is sent to expanded testing
**************************************
Comment 8 ans 2015-06-29 14:07:22 MSD
Через KDM не заходит из-за авторизации или что-то другое?
Comment 9 Vladimir Potapov 2015-06-29 18:34:45 MSD
(In reply to comment #8)
> Через KDM не заходит из-за авторизации или что-то другое?
У нас прошла авторизация на двух тестах. Возможна ошибка при авторизации в домене с большим количеством пользователей, для таких случаев нужно сменить тему KDM
Comment 10 Vladimir Potapov 2015-06-29 20:38:32 MSD
drakxtools-14.63-1
https://abf.rosalinux.ru/build_lists/2514137
https://abf.rosalinux.ru/build_lists/2514138
*********************** Advisory *************************
* drakauth fixes for Windows Domain and Kerberos5.
* Regression fixed: All English languages were shown in installer instead of only US and GB.
* diskdrake/installer: Added support for SD|MMC block devices.
************************** Changelog ********************************
* Added sanity check for EFI mode that /boot/efi is a real partition (not RAID or LVM).
* Fixed: Flash disk from which we booted was not excluded in checking minimal system requirements.
* diskdrake/installer could crash under rare circumstances when chipset RAID-0 was present.
***********************************************************
QA Verified